View Issue Details

IDProjectCategoryView StatusLast Update
16288Bug reportsImport/Exportpublic2021-03-15 15:37
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.2.2 
Summary16288: Bad character encoding when export file as zip
DescriptionIn a survey with upload file, if an user send non anssi character : when donload it at zip : character are broken
Steps To ReproduceImport included survey, upload included file : check

Additional InformationPHP info.

For information : i have issue on different system …

Same server
- OK with 3.22.15
- Not OK with 4.2.3

Didn't have more information for 3.18

I can check on local (PHP 7.3) : my local system are broken due to https://bugs.limesurvey.org/view.php?id=16245
TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.2.3 and 3.18.0
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionmariadb
Server OS (if known)debian
Webserver software & version (if known)apache
PHP Versionphp7.0

Activities

DenisChenu

DenisChenu

2020-05-18 09:28

developer  

phpinfo_bad.html (102,251 bytes)
DenisChenu

DenisChenu

2020-05-18 10:26

developer   ~57872

OK : https://github.com/LimeSurvey/LimeSurvey/commit/7dc3a9349ef609f10d169e0a6867101233ce4de7
gabrieljenik

gabrieljenik

2021-02-25 13:56

manager   ~62514

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1782
gabrieljenik

gabrieljenik

2021-03-11 18:28

manager   ~63319

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31315
lime_release_bot

lime_release_bot

2021-03-15 15:37

administrator   ~63379

Fixed in Release 4.4.13+210315

Related Changesets

LimeSurvey: master 33f356e4

2021-03-11 18:13:17

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16288: Bad character encoding when export file as zip (#1782)

Porting fix from commit 7dc3a93 to LS4
Affected Issues
16288
mod - application/controllers/admin/responses.php Diff File

Issue History

Date Modified Username Field Change
2020-05-18 09:28 DenisChenu New Issue
2020-05-18 09:28 DenisChenu File Added: phpinfo_bad.html
2020-05-18 09:28 DenisChenu File Added: BadCharacterInZip-#`$%déçf.png
2020-05-18 09:28 DenisChenu File Added: Capture d’écran du 2020-05-18 09-14-49.png
2020-05-18 09:28 DenisChenu File Added: Capture d’écran du 2020-05-18 09-22-33.png
2020-05-18 09:28 DenisChenu Product Version 3.22.15 => 4.2.2
2020-05-18 10:26 DenisChenu Note Added: 57872
2020-12-28 13:48 cdorin Priority none => normal
2020-12-28 13:48 cdorin Status new => confirmed
2021-02-25 13:56 gabrieljenik Note Added: 62514
2021-03-11 18:28 gabrieljenik Changeset attached => LimeSurvey master 33f356e4
2021-03-11 18:28 gabrieljenik Note Added: 63319
2021-03-11 18:28 gabrieljenik Assigned To => gabrieljenik
2021-03-11 18:28 gabrieljenik Resolution open => fixed
2021-03-15 15:37 lime_release_bot Note Added: 63379
2021-03-15 15:37 lime_release_bot Status confirmed => closed